function Get-UseExistingServer {
    [CmdletBinding()]
    Param(
        [Parameter(Mandatory = $false)][int]$ExistingServerCount,
        [Parameter(Mandatory = $false)][string]$UseExisting,
        [Parameter(Mandatory = $false)][bool]$ConfirmAll = $false
    )

    # Allow user to use existing value or to update it.
    if ((Confirm-SingleValue -Description 'Use existing Azure SQL Server' -Value $UseExisting -ConfirmAll $ConfirmAll) -eq $true) { return $UseExisting }

    if ($ExistingServerCount -gt 0) {
        # Ask user.
        Write-Host # Newline.
        $params = @{
            Question = 'LS Insight needs an Azure SQL Server. Which option do you choose:'
            Options = @(
                'Create a new server',
                "Use an existing server ($ExistingServerCount)"
            )
        }
        $answer = Open-LSQuestion @params

        # Return 'True' or 'False'.
        return ($answer -imatch 'Use*').ToString()
    } else {
        # Cannot use existing server if none exists.
        return 'False'
    }
}